×

INDI Library v1.9.6 Released (21 May 2022)

Bi-monthly INDI Library released with new drivers and bug fixes.

FITS viewer save dialog causes crash

  • Posts: 43
  • Thank you received: 1
Doing some testing with Kubuntu 15.04 and came across the following issue:
Started Canon DSLR driver via kstars/ekos. Did some test test shots and used the fits viewer window to autostretch the last captured image. Stretch worked fine, but when I tried to close the fits viewer window, the save changes dialog freezes all kstars related windows. Buttons can't be used except the ones in the window decorations. Force quit kstars and indi drivers still remain in the process list. On the previous try I tried to reconnect to the running drivers via kstars/ekos, but it froze everyting again. Next I tried connecting via the device manager connecting to mount Ok, but Canon DSLR driver reported can not connect power Ok?
After this I killed all the processes and connected only the Canon DSLR driver. Same freeze with fits viewer as before.
The freeze affects only kstars/ekos/indi windows. All system windows operate normally.

uname -a
Linux mtoastro-K53U 3.18.0-13-generic #14-Ubuntu SMP Fri Feb 6 09:55:14 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Kstars info
ii kstars-bleeding 5:15.04+r5129. amd64 desktop planetarium for KDE
ii kstars-bleeding-da 5:15.04+r5129. all data files for KStars desktop planetarium
ii kstars-bleeding-db 5:15.04+r5129. amd64 debug information for the desktop planetar

indi info
ii indi-aagcloudwatch 1.2+r4.196~ubu amd64 INDI driver for the AAG Cloud Watcher
ii indi-apogee 1.5+r41.196~ub amd64 INDI driver for Apogee CCDs and Filter Whe
ii indi-asicam 0.1+r25.196~ub amd64 INDI Driver for ZWO Optics ASI cameras
ii indi-bin 1.0.0+r679.194 amd64 INDI server, drivers and tools
ii indi-dbg 1.0.0+r679.194 amd64 Instrument-Neutral Device Interface librar
ii indi-dsi 0.1+r6.196~ubu amd64 INDI Meade DSI Pro I/II Driver
ii indi-eqmod 0.2+r47.196~ub amd64 INDI EQMod Driver.
ii indi-ffmv 0.1+r6.196~ubu amd64 INDI Driver for Point Grey Firefly MV came
ii indi-fishcamp 1.0+r26.196~ub amd64 INDI Fishcamp CCD Driver.
ii indi-fli 1.0.0ubuntu3+r amd64 INDI FLI CCD & Focuser Driver.
ii indi-full 1.0+r1.196~ubu amd64 Instrument-Neutral Device Interface librar
ii indi-gphoto 1.3+r90.196~ub amd64 INDI GPHOTO Camera Driver. This driver is
ii indi-maxdomeii 1.0+r35.196~ub amd64 INDI driver for MaxDome II automatic obser
ii indi-qhy 1.3+r22.196~ub amd64 INDI QHY Driver. This driver is compatible
ii indi-qsi 0.4.1+r68.196~ amd64 INDI QSI CCD Driver.
ii indi-sbig 1.5+r87.196~ub amd64 INDI SBIG Santa Barbra Instrument Group CC
ii indi-sx 1.4+r126.196~u amd64 INDI Starlight Xpress CCD and Filter Wheel
ii indicator-applicat 12.10.1+15.04. amd64 Application Indicators
ii libappindicator3-1 12.10.1+15.04. amd64 Application Indicators
ii libindi-data 1.0.0+r679.194 all Instrument-Neutral Device Interface librar
un libindi0 <none> <none> (no description available)
ii libindi1:amd64 1.0.0+r679.194 amd64 Instrument-Neutral Device Interface librar

Fits info
ii libcfitsio2:amd64 3.370-2 amd64 shared library for I/O with FITS format da
ii libcfitsio3:amd64 3.340-3 amd64 shared library for I/O with FITS format da
un pyfits-utils <none> <none> (no description available)
ii python-pyfits 1:3.3-2build1 amd64 Python module for reading, writing, and ma
un python2.7-pyfits <none> <none> (no description available)

As an attachment the kstars gdb log for the session (only camera connected) crash at the end (obviously). If there is anything else that is needed just tell me.
7 years 2 months ago #3359

Please Log in or Create an account to join the conversation.

I suspect it's a phonon-backend issue which I was facing earlier today. Any dialog with sound notification causes a crash... start KStars from the command line and check if you get errors regarding glib and gstreamer, if that's the case then it is the cause of the crash. I will post a solution to this later today.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
7 years 2 months ago #3360

Please Log in or Create an account to join the conversation.

  • Posts: 43
  • Thank you received: 1
Couldn't identify anything specifically related to glib or gstreamer. Should kstars be started with any specific paramaters to get the errors to show up?

mtoastro@mtoastro-K53U:~$ kstars
QCommandLineParser: call process() or parse() before isSet
QCommandLineParser: option not defined: "dump"
QCommandLineParser: call process() or parse() before value
QCommandLineParser: call process() or parse() before values
QCommandLineParser: option not defined: "date"
Date string: ""
QCommandLineParser: call process() or parse() before isSet
QCommandLineParser: option not defined: "paused"
kf5.kiconthemes: "Theme tree: (Breeze)"
"la helmikuuta 28 20:10:55 2015"
is dateTime valid? true
"Setting clock: UTC: la helmikuuta 28 20:10:55 2015 JD: 2 457 082,34"

Date string: ""
"Could not parse Date/Time string: " ""
"Valid date formats: "
1950-02-25 ; 1950-02-25T05:30:00
25 Feb 1950 ; 25 Feb 1950 05:30:00
Sat Feb 25 1950 ; Sat Feb 25 05:30:00 1950
"la helmikuuta 28 18:10:55 2015 GMT"
is dateTime valid? true
"Setting clock: UTC: la helmikuuta 28 18:10:55 2015 GMT JD: 2 457 082,26"

"Opened the DSO Database. Ready!"
Processing "unnamedstars.dat" , HTMesh Level 3
Sky Mesh Size: 512
Loaded catalog file "unnamedstars.dat" (hopefully)
Processing "deepstars.dat" , HTMesh Level 3
Sky Mesh Size: 512
Loaded catalog file "deepstars.dat" (hopefully)
Processing "USNO-NOMAD-1e8.dat" , HTMesh Level 6
Sky Mesh Size: 32768
Loaded catalog file "USNO-NOMAD-1e8.dat" (hopefully)
"Star HD61421 not found."
"Star HD10700 not found."
"Star HD20794 not found."
"Star HD2151 not found."
"Star HD190248 not found."
"Star HD142860 not found."
"Star HD1581 not found."
"Star HD1581 not found."
"Star HD98230 not found."
File opened: "/home/mtoastro/.local/share/kstars/ngcic.dat"
Loading NGC/IC objects
File opened: "/home/mtoastro/.local/share/kstars/asteroids.dat"
File opened: "/home/mtoastro/.local/share/kstars/comets.dat"
Loading Supernovae data

File opened: "/home/mtoastro/.local/share/kstars/supernovae.dat"
File named "/home/mtoastro/.local/share/kstars/supernovae.dat" encountered an error while reading
"Object named NGC 3314 not found"
"Object named NGC 6027 not found"
"Object named NGC 6027 not found"
"Object named NGC 6050 not found"
"Object named NGC 6027 not found"
"Object named Quaoar not found"
"Object named Eros not found"
"Object named Hektor not found"
"Object named Chiron not found"
"Object named Encke not found"
"Object named Hale-Bopp (1995 O1) not found"
"Object named Halley not found"
"Object named Hyakutake (1996 B2) not found"
"Object named Kohoutek not found"
"Object named Wild 2 not found"
"Object named XXX not found"
Opened the User DB. Ready.
kf5.kservice.sycoca: Trying to open ksycoca from "/home/mtoastro/.cache/ksycoca5"
No WishList Saved yet
"Starting the timer"
"Daylight Saving Time inactive"
"Next Daylight Savings Time change (Local Time): " "su maaliskuuta 29 02:00:00 2015 GMT"
"Next Daylight Savings Time change (UTC): " "la maaliskuuta 28 00:00:00 2015 GMT"
The current Date/Time is: "la helmikuuta 28 20:11:11 2015"
glibc >= 2.1 detected. Using GNU extension sincos()
Loading Supernovae data

File opened: "/home/mtoastro/.local/share/kstars/supernovae.dat"
File named "/home/mtoastro/.local/share/kstars/supernovae.dat" encountered an error while reading
OBEST= "Latona (1907 ZT)" - ""
"Tag 'sup' is not defined in message {<__kuit_internal_top__>Latona (1907 ZT): 13.8<sup>m</sup></__kuit_internal_top__...}."
OBEST= "Latona (1907 ZT)" - ""
"Tag 'sup' is not defined in message {<__kuit_internal_top__>Latona (1907 ZT): 13.8<sup>m</sup></__kuit_internal_top__...}."
void QWindow::setTransientParent(QWindow*) QWidgetWindow(0x3efb6b0, name = "SkyMapClassWindow") must be a top level window.
7 years 2 months ago #3367

Please Log in or Create an account to join the conversation.

  • Posts: 171
  • Thank you received: 41
Can't reproduce this here (using Fedora 21 and kstars-bleeding from my OBS repo), an Ubuntu-specific issue?

EDIT: Tried reproduction using Telescope and CCD simulators
Last edit: 7 years 2 months ago by Christian.
7 years 2 months ago #3369

Please Log in or Create an account to join the conversation.

  • Posts: 43
  • Thank you received: 1
Could be, because I itried with an updated 14.10 and the same thing happened and desktop environment change does not have any effect. Also tried saving the changes through file->save in the fits viewer and it works fine. So it might what Jasem mentioned.

Seems that the attachment I intended to be inluded in the first post didn't come through. So ere is the debug log from the time of crash:
kf5.kcoreaddons.kdirwatch: "KDirWatch-1" emitting created "/home/mtoastro/Captures/tst_Light_4_secs_08_2015-02-28T18:32:09.fits"
[New Thread 0x7fffbff19700 (LWP 2645)]
[New Thread 0x7fffb8ca8700 (LWP 2646)]
[Thread 0x7fffb8ca8700 (LWP 2646) exited]
[Thread 0x7fffbff19700 (LWP 2645) exited]

(kstars:2596): GLib-GObject-WARNING **: cannot register existing type 'GstObject'

(kstars:2596): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(kstars:2596): GLib-GObject-CRITICAL **: g_type_register_static: assertion 'parent_type > 0' failed

(kstars:2596): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(kstars:2596): GLib-GObject-CRITICAL **: g_type_register_static: assertion 'parent_type > 0' failed

(kstars:2596): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(kstars:2596): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed

(kstars:2596): GStreamer-CRITICAL **: gst_object_ref: assertion 'object != NULL' failed

(kstars:2596): GStreamer-CRITICAL **: gst_allocator_register: assertion 'allocator != NULL' failed

(kstars:2596): GStreamer-CRITICAL **: gst_object_ref: assertion 'object != NULL' failed

(kstars:2596): GLib-GObject-WARNING **: cannot register existing type 'GstFormat'

(kstars:2596): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(kstars:2596): GLib-GObject-WARNING **: cannot retrieve class for invalid (unclassed) type '<invalid>'

(kstars:2596): GLib-GObject-CRITICAL **: g_boxed_type_register_static: assertion 'g_type_from_name (name) == 0' failed

(kstars:2596): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(kstars:2596): GLib-GObject-CRITICAL **: g_boxed_type_register_static: assertion 'g_type_from_name (name) == 0' failed

(kstars:2596): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(kstars:2596): GLib-GObject-CRITICAL **: g_boxed_type_register_static: assertion 'g_type_from_name (name) == 0' failed

(kstars:2596): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(kstars:2596): GLib-GObject-CRITICAL **: g_boxed_type_register_static: assertion 'g_type_from_name (name) == 0' failed

(kstars:2596): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed
[New Thread 0x7fffd22bb700 (LWP 2617)]
[New Thread 0x7fffd2c86700 (LWP 2609)]
[New Thread 0x7fffd3a70700 (LWP 2603)]
[New Thread 0x7fffd51e8700 (LWP 2601)]
[New Thread 0x7fffe1c46700 (LWP 2600)]

Program received signal SIGTERM, Terminated.
syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
38 ../sysdeps/unix/sysv/linux/x86_64/syscall.S: No such file or directory.
(gdb)
7 years 2 months ago #3381

Please Log in or Create an account to join the conversation.

Remove the gstreamer backend and add the phonon-vlc backend and that should hopefully fix it. I don't know how Kubuntu didn't fix this yet.
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
Last edit: 7 years 2 months ago by Jasem Mutlaq.
7 years 2 months ago #3382

Please Log in or Create an account to join the conversation.

  • Posts: 43
  • Thank you received: 1
Installed phonon-backend-vlc and removed phonon-backend-gstreamer. Didn't help. Used purge to remove. But there are still a lot of gstreamer packages remaining. Should they all be removed?

un gstreamer-codec-in <none> <none> (no description available)
ii gstreamer-qapt 3.0.0-0ubuntu2 amd64 GStreamer plugin to install codecs using Q
ii gstreamer0.10-alsa 0.10.36-2 amd64 GStreamer plugin for ALSA
un gstreamer0.10-audi <none> <none> (no description available)
un gstreamer0.10-audi <none> <none> (no description available)
ii gstreamer0.10-nice 0.1.7-1 amd64 ICE library (GStreamer 0.10 plugin)
un gstreamer0.10-plug <none> <none> (no description available)
ii gstreamer0.10-plug 0.10.36-2 amd64 GStreamer plugins from the "base" set
ii gstreamer0.10-plug 0.10.31-3+nmu1 amd64 GStreamer plugins from the "good" set
un gstreamer0.10-plug <none> <none> (no description available)
un gstreamer0.10-plug <none> <none> (no description available)
ii gstreamer0.10-puls 0.10.31-3+nmu1 amd64 GStreamer plugin for PulseAudio
un gstreamer0.10-qapt <none> <none> (no description available)
un gstreamer0.10-tool <none> <none> (no description available)
un gstreamer0.10-vide <none> <none> (no description available)
un gstreamer0.10-vide <none> <none> (no description available)
un gstreamer0.10-visu <none> <none> (no description available)
ii gstreamer0.10-x:am 0.10.36-2 amd64 GStreamer plugins for X11 and Pango
un gstreamer1.0-alsa <none> <none> (no description available)
un gstreamer1.0-audio <none> <none> (no description available)
un gstreamer1.0-audio <none> <none> (no description available)
ii gstreamer1.0-libav 1.4.5-1 amd64 libav plugin for GStreamer
ii gstreamer1.0-nice: 0.1.7-1 amd64 ICE library (GStreamer plugin)
ii gstreamer1.0-plugi 1.4.5-1ubuntu1 amd64 GStreamer plugins from the "bad" set
ii gstreamer1.0-plugi 1.4.5-1ubuntu1 amd64 GStreamer faad plugin from the "bad" set
ii gstreamer1.0-plugi 1.4.5-1ubuntu1 amd64 GStreamer videoparsers plugin from the "ba
ii gstreamer1.0-plugi 1.4.5-1ubuntu1 amd64 GStreamer plugins from the "base" set
ii gstreamer1.0-plugi 1.4.5-1ubuntu2 amd64 GStreamer plugins from the "good" set
ii gstreamer1.0-plugi 1.4.5-1ubuntu2 amd64 GStreamer plugins from the "ugly" set
ii gstreamer1.0-plugi 1.4.5-1ubuntu2 amd64 GStreamer plugins from the "ugly" set
ii gstreamer1.0-pulse 1.4.5-1ubuntu2 amd64 GStreamer plugin for PulseAudio
un gstreamer1.0-tools <none> <none> (no description available)
un gstreamer1.0-video <none> <none> (no description available)
un gstreamer1.0-video <none> <none> (no description available)
un gstreamer1.0-visua <none> <none> (no description available)
ii gstreamer1.0-x:amd 1.4.5-1ubuntu1 amd64 GStreamer plugins for X11 and Pango
un gstreamer1.10-alsa <none> <none> (no description available)
un libcanberra-gstrea <none> <none> (no description available)
ii libgstreamer-plugi 1.4.5-1ubuntu1 amd64 GStreamer development files for libraries
ii libgstreamer-plugi 0.10.36-2 amd64 GStreamer libraries from the "base" set
ii libgstreamer-plugi 1.4.5-1ubuntu1 amd64 GStreamer libraries from the "base" set
ii libgstreamer-plugi 1.4.5-1ubuntu2 amd64 GStreamer development files for libraries
ii libgstreamer0.10-0 0.10.36-1.2ubu amd64 Core GStreamer libraries and elements
ii libgstreamer1.0-0: 1.4.5-1 amd64 Core GStreamer libraries and elements
ii libqtgstreamer-1.0 1.2.0-1 amd64 C++ bindings library for GStreamer with a
ii libqtgstreamerui-1 1.2.0-1 amd64 QtGStreamerUi library
ii libreoffice-avmedi 1:4.4.0-1ubunt amd64 GStreamer backend for LibreOffice
un mate-media-gstream <none> <none> (no description available)
un mate-settings-daem <none> <none> (no description available)
un phonon-backend-gst <none> <none> (no description available)
ii phonon-backend-gst 4:4.8.2-0ubunt amd64 Phonon GStreamer 1.0.x backend icons
ii phonon4qt5-backend 4:4.8.2-0ubunt amd64 Phonon Qt5 GStreamer 1.0 backend
ii qtgstreamer-declar 1.2.0-1 amd64 QML plugins from QtGStreamer
un qtgstreamer-plugin <none> <none> (no description available)
un totem-gstreamer <none> <none> (no description available)
7 years 2 months ago #3384

Please Log in or Create an account to join the conversation.

  • Posts: 173
  • Thank you received: 10
Just curious MtoAstro what distro are using?. I`ve been using Kubuntu and just changed to Ubuntu and for some reason found it much more stable, no idea why?
Steve
7 years 2 months ago #3385

Please Log in or Create an account to join the conversation.

  • Posts: 43
  • Thank you received: 1
I'm using Kubuntu 15.04 with the latest updates. I don't have any major issues with Kubuntu so far. I've found things to be quite stable, some quirks of course like this issue I'm expecting because of the develomental status of the release.

And the download new data started working after a couple of retries (sometimes it works on first try sometimes not). I'm using previously downloaded pakages from backup so no big issue.
7 years 2 months ago #3386

Please Log in or Create an account to join the conversation.

I submitted a KDE phonon gstreamer bug . Vote there and it will get more attention!
Jasem Mutlaq
Support INDI & Ekos; Get StellarMate Astrophotography Gadget.
How to Submit Logs when you have problems?
Add your observatory info
7 years 2 months ago #3387

Please Log in or Create an account to join the conversation.

  • Posts: 3
  • Thank you received: 2
I've upvoted the bug.

In the interim, I've tried removing the gstreamer backend, and putting in VLC backend, but it still crashes. Here's the top of the backtrace in GDB:
(gdb) bt
#0  0x00007fffcb4bbfcc in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#1  0x00007ffff7de95ba in call_init (l=<optimised out>, argc=argc@entry=1, argv=argv@entry=0x7fffffffe658, env=env@entry=0xc672d0) at dl-init.c:72
#2  0x00007ffff7de96cb in call_init (env=<optimised out>, argv=<optimised out>, argc=<optimised out>, l=<optimised out>) at dl-init.c:30
#3  _dl_init (main_map=main_map@entry=0x319c340, argc=1, argv=0x7fffffffe658, env=0xc672d0) at dl-init.c:120
#4  0x00007ffff7dee587 in dl_open_worker (a=a@entry=0x7fffffffc1b8) at dl-open.c:579
#5  0x00007ffff7de9464 in _dl_catch_error (objname=objname@entry=0x7fffffffc1a8, errstring=errstring@entry=0x7fffffffc1b0, mallocedp=mallocedp@entry=0x7fffffffc1a7, 
    operate=operate@entry=0x7ffff7dee0a0 <dl_open_worker>, args=args@entry=0x7fffffffc1b8) at dl-error.c:187
#6  0x00007ffff7ded9a3 in _dl_open (file=0x30f1700 "/usr/lib/vlc/plugins/gui/libqt4_plugin.so", mode=-2147483647, caller_dlopen=0x7fffd153ac0f, nsid=-2, argc=<optimised out>, 
    argv=<optimised out>, env=0xc672d0) at dl-open.c:663
#7  0x00007fffeeb97fc9 in dlopen_doit (a=a@entry=0x7fffffffc3d0) at dlopen.c:66
#8  0x00007ffff7de9464 in _dl_catch_error (objname=0xb865d0, errstring=0xb865d8, mallocedp=0xb865c8, operate=0x7fffeeb97f70 <dlopen_doit>, args=0x7fffffffc3d0) at dl-error.c:187
#9  0x00007fffeeb9862d in _dlerror_run (operate=operate@entry=0x7fffeeb97f70 <dlopen_doit>, args=args@entry=0x7fffffffc3d0) at dlerror.c:163
#10 0x00007fffeeb98061 in __dlopen (file=<optimised out>, mode=<optimised out>) at dlopen.c:87
#11 0x00007fffd153ac0f in ?? () from /usr/lib/libvlccore.so.8
#12 0x00007fffd151f8bb in ?? () from /usr/lib/libvlccore.so.8
#13 0x00007fffd151fbe8 in ?? () from /usr/lib/libvlccore.so.8
#14 0x00007fffd151fb44 in ?? () from /usr/lib/libvlccore.so.8
#15 0x00007fffd15200c4 in ?? () from /usr/lib/libvlccore.so.8
#16 0x00007fffd1520691 in ?? () from /usr/lib/libvlccore.so.8
#17 0x00007fffd14a644d in libvlc_InternalInit () from /usr/lib/libvlccore.so.8
#18 0x00007fffd127c35b in libvlc_new () from /usr/lib/libvlc.so.5
#19 0x00007fffd17ce1cb in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/phonon4qt5_backend/phonon_vlc.so
#20 0x00007fffd17ab878 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/phonon4qt5_backend/phonon_vlc.so
#21 0x00007fffd17d1fd8 in qt_plugin_instance () from /usr/lib/x86_64-linux-gnu/qt5/plugins/phonon4qt5_backend/phonon_vlc.so
#22 0x00007ffff4b7cd9f in QPluginLoader::instance() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#23 0x00007fffd21510e8 in ?? () from /usr/lib/x86_64-linux-gnu/libphonon4qt5.so.4
#24 0x00007fffd2152955 in ?? () from /usr/lib/x86_64-linux-gnu/libphonon4qt5.so.4
#25 0x00007fffd2153641 in ?? () from /usr/lib/x86_64-linux-gnu/libphonon4qt5.so.4
#26 0x00007fffd2153ebd in Phonon::Factory::backend(bool) () from /usr/lib/x86_64-linux-gnu/libphonon4qt5.so.4

It's clearly using VLC... any further suggestions on how to work around the problem?
7 years 2 weeks ago #4112

Please Log in or Create an account to join the conversation.

  • Posts: 3
  • Thank you received: 2
I don't suppose it is because the VLC backend is still using Qt4 (and we're using Qt5 in KStars)?
7 years 2 weeks ago #4113

Please Log in or Create an account to join the conversation.

Time to create page: 0.878 seconds